| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
gtc/integer.hpp File Reference

GLM_GTC_integer More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, int, Q > | iround (vec< L, T, Q > const &x)
| Returns a value equal to the nearest integer to x. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | log2 (genIUType x)
| Returns the log2 of x for integer values. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, uint, Q > | uround (vec< L, T, Q > const &x)
| Returns a value equal to the nearest integer to x. More...

## Detailed Description

GLM_GTC_integer

See also
  Core features (dependence)
  GLM_GTC_integer (dependence)

Definition in file gtc/integer.hpp.